Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Class UriStrategy

    java.lang.Object
      org.hornetq.rest.queue.push.UriStrategy

All Implemented Interfaces:
  PushStrategy

Direct Known Subclasses:
  UriTemplateStrategy

    public class UriStrategy

extends java.lang.Object
implements PushStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected org.apache.commons.httpclient.HttpClient` | `client`
`protected java.lang.String` | `contentType`
`protected org.jboss.resteasy.client.core.executors.ApacheHttpClientExecutor` | `executor`
`protected java.lang.String` | `method`
`protected PushRegistration` | `registration`
`protected javax.ws.rs.core.UriBuilder` | `targetUri`

Constructor Summary
`UriStrategy()`

Method Summary
`protected java.lang.String` | `createUri(org.hornetq.api.core.client.ClientMessage message)`
`protected void` | `initAuthentication()`
`boolean` | `push(org.hornetq.api.core.client.ClientMessage message)`
`void` | `setRegistration(PushRegistration reg)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### client

    protected org.apache.commons.httpclient.HttpClient client

### executor

    protected org.jboss.resteasy.client.core.executors.ApacheHttpClientExecutor executor

### registration

    protected PushRegistration registration

### targetUri

    protected javax.ws.rs.core.UriBuilder targetUri

### method

    protected java.lang.String method

### contentType

    protected java.lang.String contentType

Constructor Detail

### UriStrategy

    public UriStrategy()

Method Detail

### setRegistration

    public void setRegistration(PushRegistration reg)

  Specified by:
    `setRegistration` in interface `PushStrategy`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `PushStrategy`
  Throws:
    `java.lang.Exception`

### initAuthentication

    protected void initAuthentication()

### stop

    public void stop()

  Specified by:
    `stop` in interface `PushStrategy`

### push

    public boolean push(org.hornetq.api.core.client.ClientMessage message)

  Specified by:
    `push` in interface `PushStrategy`

### createUri

    protected java.lang.String createUri(org.hornetq.api.core.client.ClientMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.